package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.TrafficSpaceObject;

import de.hft.stuttgart.citydoctor2.gui.Renderer;

import java.util.List;

public class AllTrafficSpacesNode extends Renderable {

    private final List<TrafficSpaceObject> spaces;

    private final String text;

    public AllTrafficSpacesNode(List<TrafficSpaceObject> sections, TrafficSpaceObject.TrafficSpaceType type) {
        this.spaces = sections;
        this.text = type.toString();

    }

    @Override
    public void refreshTextColor() {
        // no use
    }

    @Override
    public String getText() {
        return this.text;
    }

    @Override
    public void visit(Renderer renderer) {
        renderer.renderTransportation(spaces);
    }
}
